public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Brian Evans" <grknight@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-db/mycli/
Date: Tue, 15 Sep 2015 17:22:33 +0000 (UTC)	[thread overview]
Message-ID: <1442338004.b0a932e721b30d3cba890f52f45a671d66194216.grknight@gentoo> (raw)

commit:     b0a932e721b30d3cba890f52f45a671d66194216
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 15 17:26:44 2015 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Tue Sep 15 17:26:44 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0a932e7

dev-db/mycli: New package, ebuilds by me

Package-Manager: portage-2.2.20.1

 dev-db/mycli/Manifest           |  1 +
 dev-db/mycli/metadata.xml       | 10 ++++++++++
 dev-db/mycli/mycli-1.4.0.ebuild | 31 +++++++++++++++++++++++++++++++
 dev-db/mycli/mycli-9999.ebuild  | 32 ++++++++++++++++++++++++++++++++
 4 files changed, 74 insertions(+)

diff --git a/dev-db/mycli/Manifest b/dev-db/mycli/Manifest
new file mode 100644
index 0000000..9f1ad0d
--- /dev/null
+++ b/dev-db/mycli/Manifest
@@ -0,0 +1 @@
+DIST mycli-1.4.0.tar.gz 250369 SHA256 300b26d21fc75fecdff04133dac7a22550f8f537b8571985ec02e8e346b00fb5 SHA512 06176a62646be4bac2b90f72bc728afc8920e9ff1b0c04749a5601ee63d35ba2159f48e61e23df6ca3bc5477486f3e3917b3a8de8b7034594f4ed2c544f2969f WHIRLPOOL 6ade59f9c8d7927710df0e2cd4e77cd450468b7558ce9ce763cc54e172a75fd2a84017fe3cc0e9d20a5dbd05585d80d135063b96a7692cd23c76a90806ff1aac

diff --git a/dev-db/mycli/metadata.xml b/dev-db/mycli/metadata.xml
new file mode 100644
index 0000000..9516a92
--- /dev/null
+++ b/dev-db/mycli/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<use>
+</use>
+	<maintainer>
+		<email>grknight@gentoo.org</email>
+		<name>Brian Evans</name>
+	</maintainer>
+</pkgmetadata>

diff --git a/dev-db/mycli/mycli-1.4.0.ebuild b/dev-db/mycli/mycli-1.4.0.ebuild
new file mode 100644
index 0000000..147548d
--- /dev/null
+++ b/dev-db/mycli/mycli-1.4.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+inherit distutils-r1
+
+DESCRIPTION="CLI for MySQL Database with auto-completion and syntax highlighting"
+
+HOMEPAGE="http://mycli.net"
+SRC_URI="https://github.com/dbcli/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="BSD MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="
+	>=dev-python/click-4.1[${PYTHON_USEDEP}]
+	>=dev-python/configobj-5.0.6[${PYTHON_USEDEP}]
+	>=dev-python/pygments-2.0[${PYTHON_USEDEP}]
+	=dev-python/prompt_toolkit-0.46[${PYTHON_USEDEP}]
+	>=dev-python/pymysql-0.6.6[${PYTHON_USEDEP}]
+	>=dev-python/python-sqlparse-0.1.16[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+	rm mycli/packages/counter.py || die "Could not remove python 2.6 counter.py"
+	distutils-r1_src_prepare
+}

diff --git a/dev-db/mycli/mycli-9999.ebuild b/dev-db/mycli/mycli-9999.ebuild
new file mode 100644
index 0000000..a21b495
--- /dev/null
+++ b/dev-db/mycli/mycli-9999.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+EGIT_REPO_URI="https://github.com/dbcli/mycli.git"
+inherit distutils-r1 git-r3
+
+DESCRIPTION="CLI for MySQL Database with auto-completion and syntax highlighting"
+
+HOMEPAGE="http://mycli.net"
+SRC_URI=""
+LICENSE="BSD MIT"
+SLOT="0"
+KEYWORDS=""
+IUSE=""
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="
+	>=dev-python/click-4.1[${PYTHON_USEDEP}]
+	>=dev-python/configobj-5.0.6[${PYTHON_USEDEP}]
+	>=dev-python/pygments-2.0[${PYTHON_USEDEP}]
+	=dev-python/prompt_toolkit-0.46[${PYTHON_USEDEP}]
+	>=dev-python/pymysql-0.6.6[${PYTHON_USEDEP}]
+	>=dev-python/python-sqlparse-0.1.16[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+	rm mycli/packages/counter.py || die "Could not remove python 2.6 counter.py"
+	distutils-r1_src_prepare
+}


             reply	other threads:[~2015-09-15 17:22 UTC|newest]

Thread overview: 41+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-09-15 17:22 Brian Evans [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-11-15  9:16 [gentoo-commits] repo/gentoo:master commit in: dev-db/mycli/ Johann Schmitz
2016-01-21 21:18 Brian Evans
2016-01-21 21:18 Brian Evans
2016-04-17 13:27 Johann Schmitz
2016-06-08  7:08 Michał Górny
2016-08-29 10:21 Patrice Clement
2017-07-05 15:04 Brian Evans
2017-07-05 15:04 Brian Evans
2017-12-23 15:17 Brian Evans
2017-12-23 15:17 Brian Evans
2017-12-27 14:42 Brian Evans
2018-06-21 23:58 Aaron Bauman
2018-09-11 19:13 Brian Evans
2018-09-11 19:13 Brian Evans
2018-10-29 13:59 Brian Evans
2019-01-22 17:24 Brian Evans
2019-08-23 14:10 Brian Evans
2020-01-16  6:05 Michał Górny
2020-03-08  8:25 Michał Górny
2020-07-07 20:40 Brian Evans
2020-07-08 12:28 Brian Evans
2020-12-07 19:44 Brian Evans
2020-12-17 21:02 Brian Evans
2021-05-23 10:48 Michał Górny
2021-06-03 15:50 Brian Evans
2021-09-22 10:29 Arthur Zamarin
2022-04-22 13:24 Brian Evans
2023-02-24  6:00 Michał Górny
2023-02-25 22:28 Brian Evans
2023-02-25 22:28 Brian Evans
2023-07-28 15:58 Michał Górny
2023-07-28 15:58 Michał Górny
2023-07-28 15:58 Michał Górny
2023-07-28 15:58 Michał Górny
2023-07-29 19:25 Michał Górny
2023-07-30 17:09 Sam James
2023-08-12  3:05 Michał Górny
2023-11-22 17:44 Sam James
2023-11-22 17:44 Sam James
2024-04-26 13:23 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1442338004.b0a932e721b30d3cba890f52f45a671d66194216.grknight@gentoo \
    --to=grknight@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox